Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.frameworkAdapter.jsf
Class JsfFrameworkAdapterFilter

    java.lang.Object
      org.apache.myfaces.orchestra.frameworkAdapter.jsf.JsfFrameworkAdapterFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class JsfFrameworkAdapterFilter

extends java.lang.Object
implements javax.servlet.Filter

Configures the JsfFrameworkAdapter.

Orchestra accesses information about the request, response, session, etc via a FrameworkAdapter so that it can be used with multiple web tier frameworks. This class selects and configures the JSF version of this adapter.

Note that the conversation.jsf.OrchestraServletFilter class executes this class as a "subfilter", so defining this filter is not required if that filter is already defined.

If filter config parameter "conversationMessagerClass" is set, then this is passed to the BasicFrameworkAdapter, meaning that this can be either a beanname defined in the dependency-injection framework, or an absolute classname of a type implementing ConversationMessager.

Note that this class is generally only needed in Orchestra 1.0. In later releases the OrchestraFacesContextFactory configures the JsfFrameworkAdapter instead, requiring less configuration. However this class can be used if the OrchestraFacesContextFactory approach cannot be used for some reason.

Constructor Summary
`JsfFrameworkAdapterFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse rsp, javax.servlet.FilterChain filterChain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfFrameworkAdapterFilter

    public JsfFrameworkAdapterFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse rsp,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.